/* Main responsive styles */
@media only screen and (max-width: 1465px) {
    .hero-carousel__slide {
        background-position: center left 25%;
    }

    .catalog-item__specs {
        grid-gap: 10px;
    }

    .catalog-item__specs-item {
        font-size: 13px;
    }

    .finance-steps__text {
        font-size: 19px;
    }
}

@media only screen and (max-width: 1280px) {
    .header-desktop__geo {
        margin-left: 50px;
        gap: 50px;
    }

    .compilations__item {
        font-size: 17px;
    }

    .catalog-grid {
        -ms-grid-columns: (1fr)[3];
        grid-template-columns: repeat(3, 1fr);
    }

    .gifts-items__link {
        font-size: 18px;
    }

    .footer-inner__geo {
        margin-left: 50px;
        gap: 50px;
    }
}

@media only screen and (max-width: 992px) {
    :root {
        --container-width: 576px;
    }

    select,
    textarea,
    input {
        font-size: var(--body-font-size);
    }

    .header-desktop {
        display: none;
    }

    .header-mobile {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 55px;
        background: #fff;
        z-index: 99;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding: 10px;
        border-bottom: 1px solid #f3f3f3;
    }

    .header-mobile__logo {
        max-width: 120px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    .header-mobile__logo svg {
        width: 100%;
    }

    .header-mobile__btn {
        width: 45px;
        height: 45px;
        background-image: url("data:image/svg+xml,%3Csvg width='64px' height='64px' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg id='SVGRepo_bgCarrier' stroke-width='0'%3E%3C/g%3E%3Cg id='SVGRepo_tracerCarrier' stroke-linecap='round' stroke-linejoin='round'%3E%3C/g%3E%3Cg id='SVGRepo_iconCarrier'%3E%3Cpath d='M4 12H20M4 8H20M4 16H12' stroke='%23289beb' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
        background-position: center;
        background-size: cover;
        background-color: transparent;
        border: none;
        -webkit-transition: all .33s ease;
        -o-transition: all .33s ease;
        transition: all .33s ease;
    }

    .header-mobile__btn.js-gl-toggle-button-active {
        -webkit-transform: scale(.9);
        -ms-transform: scale(.9);
        transform: scale(.9);
        opacity: .6;
    }

    .header-mobile-menu {
        position: fixed;
        top: 55px;
        left: -100%;
        width: 98%;
        height: calc(100% - 55px);
        background: #fff;
        z-index: 95;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        padding: 20px;
        gap: 35px;
        -webkit-transition: all .33s ease;
        -o-transition: all .33s ease;
        transition: all .33s ease;
    }

    body {
        padding-top: 55px;
    }

    .header-mobile-menu__nav {
        display: -ms-grid;
        display: grid;
        grid-gap: 10px;
    }

    .header-mobile-menu__contacts {
        display: -ms-grid;
        display: grid;
        grid-gap: 10px;
    }

    .header-mobile-menu__phone {
        font-size: 18px;
        color: #289beb;
        text-decoration: none;
        font-weight: bold;
    }

    .header-mobile-menu__geo {
        font-size: 14px;
    }

    .header-mobile-menu__nav-item {
        text-transform: uppercase;
        font-size: 14px;
        font-weight: bold;
        text-decoration: none;
    }

    .header-mobile-menu.js-gl-toggle-target-active {
        left: 0;
    }

    .header-mobile__logo__img {
        max-width: 121px;
    }

    .hero-marks {
        display: none;
    }

    .hero-carousel {
        height: 41vw;
    }

    .hero-carousel__slide {
        background-position: center;
    }

    .hero-carousel .carousel-navigation {
        bottom: 10px;
    }

    .section-heading__title {
        font-size: 22px;
    }

    .section-heading__description {
        font-size: 16px;
    }

    .filter-form {
        -ms-grid-columns: 1fr;
        grid-template-columns: repeat(1, 1fr);
        bottom: -22px;
        grid-gap: 10px;
        margin-top: -20px;
    }

    .section-filter {
        height: auto;
    }

    .section-filter .section-heading {
        margin-bottom: 20px;
    }

    .compilations {
        -ms-grid-columns: 1fr 20px 1fr;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 20px;
    }

    .compilations__item {
        font-size: 12px;
        height: 150px;
    }

    .catalog-grid {
        -ms-grid-columns: (1fr)[1];
        grid-template-columns: repeat(1, 1fr);
    }

    .catalog-item__title {
        height: auto;
        margin-bottom: 15px;
    }

    .section-gifts {
        height: auto;
    }

    .gifts__grid {
        -ms-grid-columns: 1fr;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
    }

    .gifts-items {
        -ms-grid-columns: 1fr;
        grid-template-columns: repeat(1, 1fr);
        height: auto;
        grid-gap: 20px;
    }

    .gifts-items__link {
        height: 175px !important;
    }

    .gifts__col:last-child .gifts-items__link {
        background-position: bottom;
    }

    .bank-item {
        padding: 10px;
        height: 80px;
    }

    .questions-grid__col:last-child {
        display: none;
    }

    .questions-grid {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .section-questions {
        height: auto;
    }

    .footer-top {
        display: none;
    }

    .footer-inner {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 15px;
        margin-bottom: 20px;
    }

    .footer-inner__logo__img {
        max-width: 120px;
    }

    .footer-inner__contacts {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 10px;
    }

    .footer-inner__geo {
        margin: 0;
    }

    .swiper-pagination.carousel-navigation__pag .swiper-pagination-bullet {
        width: 17px;
    }

    .carousel-navigation {
        gap: 15px;
    }

    .modal {
        padding: 30px;
    }

    .modal-title {
        font-size: 22px;
    }

    .modal-description {
        font-size: 16px;
    }

    .modal-description:not(:last-child) {
        margin-bottom: 25px;
    }

    .marks {
        padding: 10px;
    }

    .mark-item {
        padding: 0 10px;
    }

    .marks-carousel .carousel-navigation {
        margin-top: 10px;
    }

    .catalog-sort__buttons {
        gap: 10px;
    }

    .model-page__grid {
        -ms-grid-columns: (1fr)[1];
        grid-template-columns: repeat(1, 1fr);
    }

    .model-gallery {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .model-gallery-carousel {
        height: 60vw;
    }

    .model-gallery-thumbs-carousel {
        height: 52px;
    }

    .model-price__main {
        font-size: 22px;
    }

    .model-price {
        grid-gap: 7px;
    }

    .model-price__credit {
        font-size: 16px;
    }

    .model-content__grid:nth-child(2) {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
        grid-gap: 20px;
    }

    .model-content {
        grid-gap: 25px;
    }

    .model-tabs__nav {
        gap: 20px;
    }

    .model-tabs__nav-item {
        font-size: 16px;
    }

    .model-options {
        -webkit-column-count: auto;
        -moz-column-count: auto;
        column-count: auto;
    }

    .model-options__item {
        font-size: 16px;
        padding: 6px 0 2px 40px;
    }

    .model-seo__text {
        font-size: 16px;
    }

    .finance-steps {
        display: none;
    }

    .finance-page-grid {
        -ms-grid-columns: (1fr)[1];
        grid-template-columns: repeat(1, 1fr);
    }

    .finance-form {
        -ms-grid-columns: 1fr;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 10px;
    }

    .finance-inner-grid {
        -ms-grid-columns: (1fr)[1];
        grid-template-columns: repeat(1, 1fr);
    }

    .finance-futures {
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 1fr 20px 1fr 20px 1fr;
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 20px;
    }

    .terms {
        -ms-grid-columns: (1fr)[1];
        grid-template-columns: repeat(1, 1fr);
    }

    .finance-car-price {
        margin-top: 20px;
    }

    .finance-futures__icon {
        max-width: 70px;
    }

    .finance-futures__text {
        font-size: 14px;
    }

    .list__item {
        font-size: 16px;
    }

    .page {
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    img {
        display: block;
        max-width: 100%;
    }

    .contacts {
        -ms-grid-columns: 1fr;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
    }

    .contacts-map__iframe {
        height: 165px;
    }
}

@media print {
    * {
        background: none !important;
        color: #000 !important;
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
        text-shadow: none !important;
        -webkit-filter: grayscale(1) !important;
        filter: grayscale(1) !important;
    }
    a {
        text-decoration: underline;
    }
    a[href]:after {
        content: " (" attr(href) ")";
    }
    a[href="#"],
    a[href="javascript:"] {
        content: "";
    }
}